VST 3 SDK VST 3.6.11 SDK for developing VST Plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
PlugProvider Class Reference

Helper for creating and initializing component. More...

`#include <plugprovider.h>`

Inheritance diagram for PlugProvider:

## Public Types
using | ClassInfo = VST3::Hosting::ClassInfo
using | PluginFactory = VST3::Hosting::PluginFactory

## Public Member Functions
| PlugProvider (const PluginFactory &factory, ClassInfo info, bool plugIsGlobal=true)
virtual | ~PlugProvider ()
IComponent * | getComponent () SMTG_OVERRIDE
IEditController * | getController () SMTG_OVERRIDE
tresult | releasePlugIn (IComponent *component, IEditController *controller) SMTG_OVERRIDE
tresult | getSubCategories (IString &result) const SMTG_OVERRIDE
tresult | getPluginUID (FUID &uid) const SMTG_OVERRIDE
| OBJ_METHODS (PlugProvider, FObject) REFCOUNT_METHODS(FObject) DEF_INTERFACES_1(IPlugProvider
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Protected Member Functions
bool | setupPlugin (FUnknown *hostContext)
bool | connectComponents ()
bool | disconnectComponents ()
void | terminatePlugin ()

## Protected Attributes
PluginFactory | factory
IPtr< IComponent > | component
IPtr< IEditController > | controller
ClassInfo | classInfo
OPtr< ConnectionProxy > | componentCP
OPtr< ConnectionProxy > | controllerCP
bool | plugIsGlobal

## Additional Inherited Members
Static Public Attributes inherited from IPlugProvider
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Helper for creating and initializing component.

## Member Typedef Documentation

using ClassInfo = VST3::Hosting::ClassInfo

using PluginFactory = VST3::Hosting::PluginFactory

## Constructor & Destructor Documentation

PlugProvider | ( | const PluginFactory & | factory,
|  | ClassInfo | info,
|  | bool | plugIsGlobal = `true`
| ) |  |

~PlugProvider | ( |  | ) |
| virtual

## Member Function Documentation

IComponent * getComponent | ( |  | ) |
| virtual

Implements IPlugProvider.

IEditController * getController | ( |  | ) |
| virtual

Implements IPlugProvider.

tresult releasePlugIn | ( | IComponent * | component,
|  | IEditController * | controller
| ) |  |
| virtual

Implements IPlugProvider.

tresult getSubCategories | ( | IString & | result | ) | const
| inline virtual

Implements IPlugProvider.

tresult getPluginUID | ( | FUID & | uid | ) | const
| virtual

Implements IPlugProvider.

OBJ_METHODS | ( | PlugProvider | ,
|  | FObject |
| ) |  |

bool setupPlugin | ( | FUnknown * | hostContext | ) |
| protected

bool connectComponents | ( |  | ) |
| protected

bool disconnectComponents | ( |  | ) |
| protected

void terminatePlugin | ( |  | ) |
| protected

## Member Data Documentation

PluginFactory factory
| protected

IPtr<IComponent> component
| protected

IPtr<IEditController> controller
| protected

ClassInfo classInfo
| protected

OPtr<ConnectionProxy> componentCP
| protected

OPtr<ConnectionProxy> controllerCP
| protected

bool plugIsGlobal
| protected

Empty

Copyright ©2018 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.